Closed Bug 540751 Opened 10 years ago Closed 10 years ago

random failure in test_update_frecency_after_delete.js

Categories

(Toolkit :: Places, defect)

defect
Not set

Tracking

()

RESOLVED FIXED
mozilla1.9.3a5

People

(Reporter: mak, Assigned: mak)

References

Details

(Keywords: intermittent-failure)

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263943897.1263946965.9966.gz

Test 0: Frecency of unvisited, separately bookmarked livemark item's URI should be zero after bookmark removed.
TEST-PASS | /builds/moz2_slave/mozilla-central-linux-debug-unittest-xpcshell/build/xpcshell/tests/test_places/unit/head_bookmarks.js | [check_no_bookmarks : 219] 0 == 0
TEST-PASS | /builds/moz2_slave/mozilla-central-linux-debug-unittest-xpcshell/build/xpcshell/tests/test_places/unit/test_update_frecency_after_delete.js | [getFrecency : 341] true == true
frecency=140
TEST-PASS | /builds/moz2_slave/mozilla-central-linux-debug-unittest-xpcshell/build/xpcshell/tests/test_places/unit/test_update_frecency_after_delete.js | [anonymous : 80] 140 != 0
TEST-PASS | /builds/moz2_slave/mozilla-central-linux-debug-unittest-xpcshell/build/xpcshell/tests/test_places/unit/test_update_frecency_after_delete.js | [getFrecency : 341] true == true
frecency=140
TEST-UNEXPECTED-FAIL | /builds/moz2_slave/mozilla-central-linux-debug-unittest-xpcshell/build/xpcshell/tests/test_places/unit/test_update_frecency_after_delete.js | 140 == 0 - See following stack:
JS frame :: /builds/moz2_slave/mozilla-central-linux-debug-unittest-xpcshell/build/xpcshell/head.js :: do_throw :: line 202
JS frame :: /builds/moz2_slave/mozilla-central-linux-debug-unittest-xpcshell/build/xpcshell/head.js :: do_check_eq :: line 232
JS frame :: /builds/moz2_slave/mozilla-central-linux-debug-unittest-xpcshell/build/xpcshell/tests/test_places/unit/test_update_frecency_after_delete.js :: anonymous :: line 85
JS frame :: /builds/moz2_slave/mozilla-central-linux-debug-unittest-xpcshell/build/xpcshell/tests/test_places/unit/test_update_frecency_after_delete.js :: run_test :: line 385
JS frame :: /builds/moz2_slave/mozilla-central-linux-debug-unittest-xpcshell/build/xpcshell/head.js :: _execute_test :: line 130
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264620393.1264621702.15692.gz
WINNT 5.2 mozilla-central opt test xpcshell on 2010/01/27 11:26:33
s: win32-slave15
Looks like the same issue.

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264620393.1264621702.15692.gz#err0
WINNT 5.2 mozilla-central opt test xpcshell on 2010/01/27 11:26:33  
s: win32-slave15
TEST-UNEXPECTED-FAIL | e:/builds/moz2_slave/mozilla-central-win32-opt-unittest-xpcshell/build/xpcshell/tests/test_places/unit/test_update_frecency_after_delete.js | false == true - See following stack:
JS frame :: e:\builds\moz2_slave\mozilla-central-win32-opt-unittest-xpcshell\build\xpcshell\head.js :: do_throw :: line 202
JS frame :: e:\builds\moz2_slave\mozilla-central-win32-opt-unittest-xpcshell\build\xpcshell\head.js :: do_check_eq :: line 232
JS frame :: e:\builds\moz2_slave\mozilla-central-win32-opt-unittest-xpcshell\build\xpcshell\head.js :: do_check_true :: line 244
JS frame :: e:/builds/moz2_slave/mozilla-central-win32-opt-unittest-xpcshell/build/xpcshell/tests/test_places/unit/test_update_frecency_after_delete.js :: getFrecency :: line 341
JS frame :: e:/builds/moz2_slave/mozilla-central-win32-opt-unittest-xpcshell/build/xpcshell/tests/test_places/unit/test_update_frecency_after_delete.js :: anonymous :: line 253
JS frame :: e:/builds/moz2_slave/mozilla-central-win32-opt-unittest-xpcshell/build/xpcshell/tests/test_places/unit/test_update_frecency_after_delete.js :: run_test :: line 385
JS frame :: e:\builds\moz2_slave\mozilla-central-win32-opt-unittest-xpcshell\build\xpcshell\head.js :: _execute_test :: line 130
JS frame :: -e :: <TOP_LEVEL> :: line 1
TEST-INFO | (xpcshell/head.js) | exiting test
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264645711.1264646926.22726.gz
WINNT 5.2 mozilla-central opt test xpcshell on 2010/01/27 18:28:31  
s: win32-slave09
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264947501.1264948726.10540.gz
WINNT 5.2 mozilla-central opt test xpcshell on 2010/01/31 06:18:21
s: win32-slave14
OS: Linux → All
Hardware: x86 → All
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265345764.1265346862.27624.gz
WINNT 5.2 mozilla-central opt test xpcshell on 2010/02/04 20:56:04
s: win32-slave02
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266653123.1266654230.4437.gz
WINNT 5.2 mozilla-central opt test xpcshell on 2010/02/20 00:05:23
s: win32-slave19
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266704104.1266705566.12302.gz
WINNT 5.2 mozilla-central opt test xpcshell on 2010/02/20 14:15:04
s: win32-slave19
WINNT 5.2 mozilla-central opt test xpcshell on 2010/03/17 16:49:17
s: win32-slave05
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268869757.1268871331.24765.gz
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269462994.1269464183.27768.gz
Linux mozilla-central opt test xpcshell on 2010/03/24 13:36:34
s: mv-moz2-linux-ix-slave04
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269640814.1269642049.18941.gz
WINNT 5.2 mozilla-central opt test xpcshell on 2010/03/26 15:00:14
s: win32-slave02
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269995927.1269996919.2421.gz
Linux mozilla-central opt test xpcshell on 2010/03/30 17:38:47
s: mv-moz2-linux-ix-slave11
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270198442.1270199587.24225.gz
WINNT 5.2 mozilla-central opt test xpcshell on 2010/04/02 01:54:02
s: win32-slave18
should probably use waitForClearHistory
Status: NEW → RESOLVED
Closed: 10 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla1.9.3a5
Assignee: nobody → mak77
Flags: in-testsuite+
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.